#!/usr/bin/env rspec
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# This program is free software; you can redistribute it and/or modify it under
# the terms of version 2 of the GNU General Public License as published by the
# Free Software Foundation.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, contact SUSE LINUX GmbH.

# Authors:      Howard Guo <hguo@suse.com>
# 		William Brown <wbrown@suse.de>

require_relative "test_helper.rb"

require 'pp'
require 'authserver/dir/ds389'

describe DS389 do
  it 'gen_setup_ini' do
    match = '# Generated by yast-auth-server
[general]
config_version = 2
full_machine_name = dir.example.com
# This may be need to be tweaked, it could break setups ...
# strict_host_checking = true/false

[slapd]
root_password = pass
instance_name = ExampleDotCom

[backend-userroot]
sample_entries = yes
suffix = dc=example,dc=com
'
    expect(DS389.gen_setup_ini('dir.example.com', 'ExampleDotCom', 'dc=example,dc=com', 'pass')).to eq(match)
  end
end
